Bug 882141 - NotImplementedError - fedup should know net location of Alpha and Beta upgrade files
Summary: NotImplementedError - fedup should know net location of Alpha and Beta upgrad...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedup
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-30 09:04 UTC by Jens Petersen
Modified: 2013-01-03 07:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-03 07:27:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Petersen 2012-11-30 09:04:20 UTC
Description of problem:
Currently (at the time of F18 Beta) it seems necessary to
explicitly set instrep:

--instrepo=http://download.fedoraproject.org/pub/fedora/linux/releases/test/18-Beta/Fedora/<arch>/os

to do an update to F18 Beta.

It would be better if fedup new about test releases.
eg supported say "fedup-cli --network 18-beta".

Version-Release number of selected component (if applicable):
0.7.1

Steps to Reproduce:
1. try to upgrade to f18 beta
# fedup-cli --instrepo 18
  
Actual results:
:
(1131/1131): zlib-1.2.7-9.fc18.x86_64.rpm                |  88 kB     00:00     
getting boot images...
Traceback (most recent call last):
  File "/bin/fedup-cli", line 285, in <module>
    main(args)
  File "/bin/fedup-cli", line 236, in main
    raise NotImplementedError("use --instrepo or --skipkernel")
NotImplementedError: use --instrepo or --skipkernel

Expected results:
fedup to know where to look for Beta upgrade files.

Additional info:
It would be better if fedup downloaded the instrepo images first before downloading all the packages...

Comment 1 Tim Flink 2012-12-03 15:22:49 UTC
That URL isn't right - it doesn't point to a repo with the upgrade.img in it.

I assume you were getting that from the release notes - I've already talked to the docs team about getting it fixed but the instructions on the wiki should be up to date:
https://fedoraproject.org/wiki/FedUp

Comment 2 Will Woods 2012-12-17 23:38:20 UTC
Should be fixed in git, now that the mirrormanager changes are live:

  1) fedup-0.7.2 downloads instrepo stuff before packages, and
  2) it should be able to find instrepo without user intervention.

Comment 3 Fedora Update System 2012-12-21 04:49:54 UTC
fedup-0.7.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedup-0.7.2-1.fc17

Comment 4 Fedora Update System 2012-12-21 12:10:33 UTC
Package fedup-0.7.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.7.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20801/fedup-0.7.2-1.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-01-03 07:27:12 UTC
fedup-0.7.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.